//
//  SIISmartLabelManager.h
//  SIIPrinterManager
//

#ifndef SIISmartLabelManager_h
#define SIISmartLabelManager_h
#import <UIKit/UIKit.h>

@interface SIISmartLabelManager : NSObject

- (void)selectSmartLabelFile:(NSString *)fileName;
- (UIImage *)getSmartLabelImage;
- (NSInteger)getLabelId;
- (void)replaceSmartLabelTextData:(NSInteger)mapID text:(NSString *)text;
- (void)replaceSmartLabelBarcodeData:(NSInteger)mapID text:(NSString *)text;
- (void)replaceSmartLabelImageData:(NSInteger)mapID image:(UIImage *)image;

@end

#endif /* SIISmartLabelManager_h */
